<?php
/**
 * Related Products
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/single-product/related.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see         https://docs.woocommerce.com/document/template-structure/
 * @package     WooCommerce\Templates
 * @version     9.6.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

if ( $related_products ) : ?>

	<section class="site-module klb-module related" id="related-products">

		<?php
		$heading = apply_filters( 'woocommerce_product_related_products_heading', esc_html__( 'Related products', 'grogin' ) );

		if ( $heading ) :
			?>
			
			<div class="site-module-header d-flex flex-wrap align-items-center justify-content-between mb-10 md-mb-20">
                <div class="col d-inline-flex flex-wrap align-items-center gap-0-5 gap-md-3">
                  <h3 class="entry-title text-16 md-text-18 fw-bold mb-0"><?php echo esc_html( $heading ); ?></h3>
                </div><!-- col -->
            </div>

		<?php endif; ?>
		
		<div class="site-module-body">
		<?php woocommerce_product_loop_start(); ?>

			<?php foreach ( $related_products as $related_product ) : ?>

					<?php
					$post_object = get_post( $related_product->get_id() );

					setup_postdata( $GLOBALS['post'] = $post_object ); // phpcs:ignore WordPress.WP.GlobalVariablesOverride.Prohibited, Squiz.PHP.DisallowMultipleAssignments.Found

					wc_get_template_part( 'content', 'product' );
					?>

			<?php endforeach; ?>

		<?php woocommerce_product_loop_end(); ?>
		</div>
		
	</section>
	<?php
endif;

wp_reset_postdata();
